import { LeftOutlined, RightOutlined, UnorderedListOutlined } from '@ant-design/icons';
import { useSpring, animated } from 'react-spring';
import { useState } from 'react';
import { Modal } from 'antd';
import styles from '@/styles/panel.module.scss';

import Panel from '@/components/panel';

// import Allerway from './components/Allerway';
import StatCharts from './components/stat-charts';
import TaskCharts from './components/task-charts';
// import Handles from './components/Handles';

const Right = () => {
  const [isExpanded, setIsExpanded] = useState(false);

  const containerAnimation = useSpring({
    transform: isExpanded ? 'translate(0%)' : 'translateX(100%)',
    config: { precision: 0.01 },
  });

  const toggleContainer = () => {
    setIsExpanded(!isExpanded);
  };
  return (
    <div>
      <animated.div
        style={{
          ...containerAnimation,
        }}
        className={`absolute top-2 w-[280px] right-2 bottom-2 ${styles.panel}`}
      >
        <div className="overflow-hidden h-full">
          <Panel title="出入库信息">
            {/* <Allerway /> */}
          </Panel>
          <Panel title="出入库统计">
            <StatCharts />
          </Panel>
          <Panel title="任务分布">
            <TaskCharts />
          </Panel>
        </div>
        <div
          className={`${'absolute text-white top-1/2 -translate-y-1/2 left-[-21px] bg-black bg-opacity-20 text-xl font-bold bg'}`}
        >
          {isExpanded ? (
            <RightOutlined
              className="hover:scale-110 transition-transform duration-300"
              onClick={toggleContainer}
            />
          ) : (
            <LeftOutlined
              className="hover:scale-110 transition-transform duration-300 "
              onClick={toggleContainer}
            />
          )}
        </div>
        {/* <Handles /> */}
      </animated.div>

    </div>
  );
};

export default Right;
